Bug 147861 - FILEOPEN DOC: Custom DocProperty field shows only one value, not the changed value
Summary: FILEOPEN DOC: Custom DocProperty field shows only one value, not the changed ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: DOC-Fields 148380
  Show dependency treegraph
 
Reported: 2022-03-09 07:08 UTC by Justin L
Modified: 2022-04-08 06:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
customField.doc: The same DocProperty field inserted 3 times with different values (19.50 KB, application/msword)
2022-03-09 07:08 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2022-03-09 07:08:07 UTC
Created attachment 178739 [details]
customField.doc: The same DocProperty field inserted 3 times with different values

Although the DocProperty can have a templated value, the inserted field can be modified to hold a specific value. Although the field is not marked as "fixed", yet the field is not supposed to be recalculated automatically on file open. (However, I noticed that it is "replaced" whey the field is selected and F9 is pressed.)

This seems related to DOCX bug 100525.
Comment 1 Justin L 2022-03-09 11:18:34 UTC
I hesitantly propose
https://gerrit.libreoffice.org/c/core/+/131237 tdf#147861 ww8import: use GetFieldResult, not current DocProperty

https://gerrit.libreoffice.org/c/core/+/131238 tdf#147861 ww8export: DI_CUSTOM write fixed field, not plain txt
Comment 2 Commit Notification 2022-03-21 10:02:00 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a13faccd7e8c6503e96e9342a8615b4542b0601f

related tdf#147861: cleanup + a function provides the name

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-03-22 10:40:25 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/377e6f7e8556516b6d1698c58857a5662e6f5660

tdf#147861 ww8import: use GetFieldResult, not current DocProperty

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-03-23 08:25:07 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7974d5ef1446f106a5f7c45b76ea2728fe4b18ce

tdf#147861 ww8export: DI_CUSTOM write fixed field, not plain txt

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-03-24 12:21:49 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f5c2085e70c40370a790868d4683133a41e6599d

tdf#147861 ww8import: solve TODO: not fixed-field if equal

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-03-25 12:48:57 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c4cb1d1dd581a5f120d9cf8b1d4274ec38f3eabe

tdf#147861 writerfilter: use GetFieldResult, not current DocProperty

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-04-08 06:14:49 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e61eed211766f26a3896c1d912dc7349abbe823d

tdf#147861 sw ms export: DI_SUB_MASK must exclude FIXED now

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.